### Class

# Gegl TileBackend

#### Description

    class Gegl.TileBackend : Gegl.TileSource
    {
      priv: GeglTileBackendPrivate*
    }

No description available.

#### Hierarchy

#### Ancestors

- GeglTileSource
- GObject

#### Functions

###### gegl_tile_backend_unlink_swap

Delete a swap file from disk. This must be used by tile backends which may swap to disk under certain circonstances.

deprecated: 0.4.14

#### Instance methods

###### gegl_tile_backend_command

The default tile-backend command handler. Tile backends should forward commands they don’t handle themselves to this function.

###### gegl_tile_backend_get_extent

No description available.

###### gegl_tile_backend_get_flush_on_destroy

No description available.

###### gegl_tile_backend_get_format

Gets pixel format of `tile_backend`.

###### gegl_tile_backend_get_tile_height

No description available.

###### gegl_tile_backend_get_tile_size

No description available.

###### gegl_tile_backend_get_tile_width

No description available.

###### gegl_tile_backend_peek_storage

Gets a pointer to the GeglTileStorage that uses the backend.

###### gegl_tile_backend_set_extent

Specify the extent of the backend, can be used to pre-prime the backend with the width/height information when constructing proxy GeglBuffers to interact with other systems.

###### gegl_tile_backend_set_flush_on_destroy

Control whether cached data will be written to the backend before it is destroyed. If false unwritten data will be discarded.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gegl.TileBackend:flush-on-destroy

No description available.

###### Gegl.TileBackend:format

No description available.

###### Gegl.TileBackend:px-size

No description available.

###### Gegl.TileBackend:tile-height

No description available.

###### Gegl.TileBackend:tile-size

No description available.

###### Gegl.TileBackend:tile-width

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GeglTileBackendClass {
      GeglTileSourceClass parent_class;
      None padding;

    }

No description available.

###### Class members

`parent_class: GeglTileSourceClass`

  No description available.

`padding: None`

  No description available.